<?php define('WP_USE_THEMES', false); get_header(); ?>

<div id="main">
<?php $blogurl = home_url();?>

	<div id="maincontent">

	<?php if ( have_posts() ) : while (have_posts()) : the_post(); ?>

		<div class="entry">
		
			<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				<div class="post-header">
					<h2 class="title"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>
					<div class="date">
						<?php unset($previousday); printf(__('%1$s &#8211; %2$s'), the_date('', '', '', false), get_the_time() ) ?>
					</div>
				</div>
				<div class="words">
					<?php the_content('Read the rest of this entry &raquo;'); ?>

					<?php wp_link_pages('before=<p align="center">&after=&next_or_number=next&previouspagelink=Previous Page&nextpagelink='); ?><?php wp_link_pages('before=&after= &next_or_number=number&pagelink=%'); ?><?php wp_link_pages('before=&after=</p>&next_or_number=next&previouspagelink=&nextpagelink=Next Page'); ?>

				</div>
				
				<div class="postmetadata">
					<p style="float: left;">Written by <?php the_author_posts_link(); ?></p>
					<?php
					
					if ( comments_open() )
					{
						echo '<p style="float: right;text-align: right;padding-right: 5px;"><a href="'; comments_link(); echo '">'; fb_comment_type_count('comment'); echo '</a></p>';
					}
					else
					{
						echo '<p style="float: right;text-align: right;padding-right: 5px;">'; fb_comment_type_count('comment'); echo '</p>';
					}
					?>
					<div class="clear"></div>
					<?php if (get_the_category()) { echo '<p>Categories: '; the_category(', '); echo "</p>"; } ?>
					<?php if (get_the_tags()) { echo '<p>'; the_tags(); echo '</p>'; } ?>
					<?php edit_post_link('Edit', '<p>', '</p>'); ?>
				</div>

				<div class="clear"></div>
			</div>
			<?php comments_template('', true); ?>
		</div>

		<?php endwhile; ?>

		<?php else : ?>
		<div class="entry">
			<h2>Page Not Found</h2>
		</div>

	<?php endif; ?>

	</div>
<?php get_sidebar(); ?>
<div class="clear"></div>
<?php get_footer(); ?>